package com.emato.cus.supervise.biz.acqInventoryInfo;

import com.emato.cus.supervise.biz.DataConversion;
import com.emato.cus.supervise.constant.Dict;
import com.emato.cus.supervise.domainCus.CusAcqInventoryInfo03;
import com.emato.cus.supervise.domainOmsShop.OmsShopAcqInventoryInfo;
import com.google.common.collect.Lists;
import org.apache.commons.lang3.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;

import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

/**
 * 门店库存 即库位
 * @author Scott Chen
 * @version 1.0
 * 2020-03-30 11:27
 */
@Deprecated
@Component
public class AcqInventoryInfoOmsShopDataConversion implements DataConversion {

    private static final Logger logger = LoggerFactory.getLogger(AcqInventoryInfoOmsShopDataConversion.class);

    /**
     * 门店库存 即库位
     *
     * @param params
     * @return
     */
    @Override
    public List conversion(Map params) {
        logger.info("门店库存开始转换，组装cus数据===========================");

        List<OmsShopAcqInventoryInfo> omsShopList = (List<OmsShopAcqInventoryInfo>) params.get("omsShopList");

        List<CusAcqInventoryInfo03> cusAcqInventoryInfo03List = Lists.newArrayList();

        for (int i = 0; i < omsShopList.size(); i++) {
            try {
                OmsShopAcqInventoryInfo data = omsShopList.get(i);

                String osku = data.getSkuNo();
                if (StringUtils.isBlank(osku)) {
                    logger.error("当前转换的sku为: {}, 对应的产品备案数据异常", osku);
                    continue;
                }
                //logger.debug("当前转换的sku为: {}", osku);

                CusAcqInventoryInfo03 cusAcqInventoryInfo03 = new CusAcqInventoryInfo03();

                cusAcqInventoryInfo03.setGoodsName(data.getGoodsName());
                cusAcqInventoryInfo03.setCodeTs(data.getCodeTs());
                cusAcqInventoryInfo03.setSkuNo(data.getSkuNo());
                cusAcqInventoryInfo03.setGoodsId(data.getGoodsId());

                cusAcqInventoryInfo03.setgUnit(data.getgUnit());
                if (data.getgQty() == null) {
                    logger.debug("门店转换{}为空，qty变为0.0", data.getSkuNo());
                    data.setgQty(0.0);
                }else{
                    logger.debug("门店转换{}不为空，qty: {}", data.getSkuNo(), data.getgQty());
                }
                cusAcqInventoryInfo03.setgQty(data.getgQty());
                cusAcqInventoryInfo03.setLegalUnit(data.getLegalUnit());
                cusAcqInventoryInfo03.setLegalQty(data.getLegalQty());

                cusAcqInventoryInfo03.setGoodsModel(data.getGoodsModel());
                cusAcqInventoryInfo03.setLocalEmsNo(data.getLocalEmsNo());
                cusAcqInventoryInfo03.setOwnerCode(data.getOwnerCode());
                cusAcqInventoryInfo03.setOwnerName(data.getOwnerName());

                cusAcqInventoryInfo03.setStoreCompanyName(Dict.storeCompanyName);
                cusAcqInventoryInfo03.setStoreUscCode(Dict.storeUscCode);
                cusAcqInventoryInfo03.setStoreCustomsCode(Dict.storeCustomsCode);
                cusAcqInventoryInfo03.setStoreCode(Dict.storeCodeMap.get(data.getStoreCode()));

                cusAcqInventoryInfo03.setCreateTime(LocalDateTime.now());
                cusAcqInventoryInfo03.setCreaterSn(Dict.operater);
                cusAcqInventoryInfo03.setModerSn(Dict.operater);
                cusAcqInventoryInfo03.setModTime(LocalDateTime.now());

                cusAcqInventoryInfo03List.add(cusAcqInventoryInfo03);
            }catch (Exception e){
                logger.error("门店库存转换组装cus数据系统异常", e);
            }finally {
                continue;
            }
        }
        logger.info("门店库存转换，组装cus数据结束===========================");
        return cusAcqInventoryInfo03List;
    }
}
