package com.emato.cus.supervise.service.omsshop.impl;

import com.emato.cus.supervise.domain.WmsAcqInventoryInfo;
import com.emato.cus.supervise.domainOmsShop.OmsShopAcqInventoryInfo;
import com.emato.cus.supervise.mapper.WmsAcqInventoryInfoMapper;
import com.emato.cus.supervise.mapperOmsShop.OmsShopAcqInventoryInfoMapper;
import com.emato.cus.supervise.service.omsshop.OmsShopAcqInventoryInfoService;
import com.emato.cus.supervise.service.wms.WmsAcqInventoryInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.Map;

/**
 * 门店库存 即库位 Oms 门店
 * @author Scott Chen
 * @version 1.0
 * 2018-02-02 09:30
 */
@Service
public class OmsShopAcqInventoryInfoServiceImpl implements OmsShopAcqInventoryInfoService {

    @Autowired
    private OmsShopAcqInventoryInfoMapper omsShopAcqInventoryInfoMapper;

    /**
     * 根据上次时间取企业库存信息
     *
     * @param param
     * @return
     */
    @Override
    @Transactional(value = "thirdTransactionManager")
    public List<OmsShopAcqInventoryInfo> getOmsShopAcqInventoryInfo(Map<String, Object> param) {
        return omsShopAcqInventoryInfoMapper.getOmsShopAcqInventoryInfo(param);
    }

}
